# EBANX Payment Gateway for WooCommerce

[![Build Status](https://travis-ci.com/ebanx/woocommerce-gateway-ebanx.svg?branch=master)](https://travis-ci.com/ebanx/woocommerce-gateway-ebanx)
[![Codacy Badge](https://api.codacy.com/project/badge/Grade/09ef5eb63a394dc3b76cb4319129fbf3)](https://www.codacy.com/app/EBANX/woocommerce-gateway-ebanx?utm_source=github.com&amp;utm_medium=referral&amp;utm_content=ebanx/woocommerce-gateway-ebanx&amp;utm_campaign=Badge_Grade)

Integrate your WooCommerce store with the EBANX payment gateway and improve your sales in fastest growing markets in Latin America.

Please, visit the [official plugin page on WordPress store](https://wordpress.org/plugins/ebanx-payment-gateway-for-woocommerce/).

## Requirements
* PHP 5.6+
* Wordpress 4.0+
* WooCommerce 3.0+

## Installation

You can use our docker.

First install dependencies:

```ssh
composer install
```

And run docker compose:

```ssh
docker-compose up
```

Access in your browser: http://localhost

### Do you want to contribute?

We've put together all the information you'll need on [CONTRIBUTING.md](https://github.com/ebanx/woocommerce-gateway-ebanx/blob/master/CONTRIBUTING.md). Also, we always try to keep this file updated and with as much information as possible. If you want to help us with this file or with any coding issue, we would appreciate it. :heart:

### Are you a Merchant?

We have three ways to install our plugin. Choose one and install it. ;)

#### Automatic

Automatic installation is the easiest, and it can be done without leaving your web browser. To do an automatic install of the EBANX plugin, login to the WordPress Dashboard, go to the Plugins menu, and select “Add New.” Then, search for the “EBANX” to find EBANX Payment Gateway for WooCommerce and click on “Install Now.” After the installation, you just have to activate and get ready to sell even more.

#### Manual

To install the plugin manually, download our plugin and upload it to your web server via an FTP application. Visit the [WordPress codex](https://codex.wordpress.org/Managing_Plugins#Manual_Plugin_Installation "WordPress codex") for further instructions. Don't waste your time and improve your results!

#### Via GitHub

The EBANX Gateway Plugin can also be installed using GitHub. You can find our repository [here](https://github.com/ebanx/checkout-woocommerce/ "EBANX GitHub repository"). To download the plugin from our repository, please view [our latest release](https://github.com/ebanx/woocommerce-gateway-ebanx/releases/latest "Latest Release from GitHub repository") and download the `woocommerce-gateway-ebanx.zip` package.

### Don't have an EBANX Account yet?

No problem! Access our [sign-up](https://www.ebanx.com/business/en/dashboard "EBANX Dashboard") or [request a call](https://business.ebanx.com/en/contact-sales) with a Business Development Executive.

---

Still need your API Keys? You can pick those up [here](https://www.ebanx.com/business/en/dashboard "EBANX API keys").

## License

Copyright 2017 EBANX Payments

Licensed under the Apache License, Version 2.0 (the "License");
you may not use these files except in compliance with the License.
You may obtain a copy of the License at

   [http://www.apache.org/licenses/LICENSE-2.0](http://www.apache.org/licenses/LICENSE-2.0)

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

